//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Skybox
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/sky2
{
	qer_editorimage textures/aadel_tohunga/env/color.tga
	//q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 0.788 0.347 100 100 50 3 12 		
	q3map_skyLight 130 5			//q3map_skylight 125 6
	q3map_lightRGB 1 0.788 0.347

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms env/box365/box365 - -

	nopicmip
	nomipmaps
}

//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Water
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/water2
{
	qer_editorimage textures/aadel_tohunga/wvw_slime.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull none
	nopicmip
        {
            map textures/aadel_tohunga/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/aadel_tohunga/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/aadel_tohunga/wvw_slime.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}
textures/aadel_tohunga/watercaulk
{
	qer_editorimage textures/aadel_tohunga/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
textures/aadel_tohunga/waterplant_2
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans 
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodlight
	cull none 
	nopicmip
	q3map_vertexScale 2
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_tohunga/waterplant_2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
textures/aadel_tohunga/waterplant_1
{
	qer_alphafunc greater 0.5
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	cull none 
	q3map_vertexScale 2
	nopicmip
	deformVertexes bulge 64 1 2		
	{
		map textures/aadel_tohunga/waterplant_1.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	$NulL's light Hax
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//used in an early beta for an easter egg.
//just keeping it in here so i know where to find it if i need to
textures/aadel_tohunga/a_shadow_dark
{
	qer_editorimage textures/aadel_tohunga/shadow.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 12
	q3map_cloneshader textures/aadel_tohunga/a_shadow_light
	{
		map textures/aadel_tohunga/shadow_d.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/a_shadow_light
{
	qer_editorimage textures/aadel_tohunga/light.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	sort 13
	q3map_invert
	{
		map textures/aadel_tohunga/light_d.tga
		blendfunc gl_dst_color gl_src_color
		//blendfunc add
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Models
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
models/mapobjects/delirium/lamp/glass_wave
{
	q3map_lightimage textures/aadel_tohunga/lamp_light.tga
	q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 20000 
        {
                map models/mapobjects/delirium/lamp/glass_wave.tga
        }	
}
textures/aadel_tohunga/light_white
{
	q3map_lightimage textures/aadel_tohunga/light_white.tga
	q3map_lightsubdivide 32
	//q3map_lightmapFilterRadius 0 8
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000 
        {
                map textures/aadel_tohunga/light_white.tga
        }	
}

textures/aadel_tohunga/leaves
{
	q3map_forceMeta
	q3map_vertexScale 1.5
	surfaceparm detail
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	nopicmip
	//deformVertexes wave 100 sin 0 3 0 0.02
	//deformVertexes wave 100 sin 0 5 0 0.02
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_tohunga/leaves.tga
		alphafunc ge128
		rgbGen vertex
	}
}
textures/aadel_tohunga/bark
{
	qer_editorimage textures/aadel_tohunga/bark.tga
	q3map_forcemeta
	q3map_clipModel
	q3map_vertexScale 1.3

	surfaceparm trans
	surfaceparm pointlight
	q3map_bouncescale 0.0

	nopicmip
	{
		map textures/aadel_tohunga/bark.tga
		rgbGen vertex
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Terrain
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/mud_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/aadel_tohunga/dirtyr.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_tohunga/dirtyr.tga
		blendFunc filter
	}

}

textures/aadel_tohunga/grass_phong
{
	qer_editorimage textures/aadel_tohunga/grassy2.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grassy2.tga
	}
	{
		map textures/aadel_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_rock_phong
{
	qer_editorimage textures/aadel_tohunga/rockyr.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga/rockyr.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_mud_phong
{
	qer_editorimage textures/aadel_tohunga/grassy2.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/dirtyr.tga
	}
	{
		map textures/aadel_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_mud_phong_nomarks
{
	qer_editorimage textures/aadel_tohunga/grassy2.tga
	q3map_shadeangle 90
	//q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm nomarks
	{
		map textures/aadel_tohunga/dirtyr.tga
	}
	{
		map textures/aadel_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/aadel_tohunga/grass_dirt_phong
{
	qer_editorimage textures/aadel_tohunga/dirt1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga/dirt1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		tcmod scale 0.5 0.5
	}
	{
		map $lightmap 
		blendfunc filter
	}
}
textures/aadel_tohunga/dirt_grass_phong
{
	qer_editorimage textures/aadel_tohunga/grassy2.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/dirt1.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_path_phong
{
	qer_editorimage textures/aadel_tohunga/path1.tga
	q3map_shadeangle 90 //120
	q3map_nonplanar
	{
		map textures/aadel_tohunga/grassy2.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/path_phong
{
	qer_editorimage textures/aadel_tohunga/path1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/path1.tga
	}
	{
		map textures/aadel_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/path_phong_nonsolid
{
	qer_editorimage textures/aadel_tohunga/path1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/aadel_tohunga/path1.tga
	}
	{
		map textures/aadel_tohunga/path1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/ground_phong
{
	qer_editorimage textures/aadel_tohunga/tile07.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/tile07.tga
	}
	{
		map textures/aadel_tohunga/tile07.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/aadel_tohunga/grass_ground_phong
{
	qer_editorimage textures/aadel_tohunga/tile07.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/aadel_tohunga/tile07.tga
		tcmod scale 2 2
	}
	{
		map textures/aadel_tohunga/grassy2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Foliage
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/vine07
{
	qer_editorimage textures/aadel_tohunga/ivy_down.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_tohunga/ivy_down.tga
		alphaFunc GE128
		rgbgen exactvertex
	}
}
textures/aadel_tohunga/vine06
{
	qer_editorimage textures/aadel_tohunga/ivy_down2.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_tohunga/ivy_down2.tga
		alphaFunc GE128
		rgbgen exactvertex
	}
}
textures/aadel_tohunga/del_fence4
{
	qer_editorimage textures/aadel_tohunga/del_fence4.tga
	qer_trans 0.99
	qer_alphaFunc gequal 0.5

	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
        surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodlight
	nopicmip
	{
		map textures/aadel_tohunga/del_fence4.tga
		alphaFunc GE128
		rgbgen exactvertex
	}
}
textures/aadel_tohunga/wood_fence
{
	qer_editorimage textures/aadel_tohunga/wood_fence.tga
        //cull none
        nopicmip
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_cloneshader textures/aadel_tohunga/wood_fence_back
        {
                map textures/aadel_tohunga/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/aadel_tohunga/wood_fence_back
{
	qer_editorimage textures/aadel_tohunga/wood_fence.tga
        //cull none
        nopicmip
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm trans
	q3map_invert
        {
                map textures/aadel_tohunga/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
        }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Assorted Decals
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/bomb_black
{
	qer_editorimage textures/aadel_tohunga/bomb_black.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/aadel_tohunga/bomb_black.tga
		//tcMod stretch sin 0.9 0.3 0 0.65
		//tcMod rotate 30
		//alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
	{
		clampmap textures/aadel_tohunga/bomb.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate -30
		blendfunc GL_ONE GL_ONE
		rgbgen wave sawtooth 1.2 0.8 0 1
		alphagen const 1
	}
}
textures/aadel_tohunga/bomb_red
{
	qer_editorimage textures/aadel_tohunga/bomb_red.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/aadel_tohunga/bomb_red.tga
		//tcMod stretch sin 0.9 0.3 0 0.65
		//tcMod rotate -30
		//alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
	{
		clampmap textures/aadel_tohunga/bomb.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate 30
		blendfunc GL_ONE GL_ONE
		rgbgen wave sawtooth 1.2 0.8 0 1
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_fence_1
{
	qer_editorimage textures/aadel_tohunga/fence_1.tga
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga/fence_1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga/decal_fence_2
{
	qer_editorimage textures/aadel_tohunga/del_decal02.tga
	q3map_lightmapSampleSize 0
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset
	cull none
	nopicmip
	{
		map textures/aadel_tohunga/del_decal02.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/aadel_tohunga/black_bomb_mark
{
	qer_editorimage textures/aadel_tohunga/black_bomb_mark.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/black_bomb_mark.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/red_bomb_mark
{
	qer_editorimage textures/aadel_tohunga/red_bomb_mark.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/aadel_tohunga/red_bomb_mark.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_decal03
{
	qer_editorimage textures/aadel_tohunga/del_decal03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal03.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_del_decal09
{
	qer_editorimage textures/aadel_tohunga/del_decal09.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal09.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_del_decal10
{
	qer_editorimage textures/aadel_tohunga/del_decal10.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal10.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_del_decal12
{
	qer_editorimage textures/aadel_tohunga/del_decal12.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal12.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_del_decal14
{
	qer_editorimage textures/aadel_tohunga/del_decal14.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal14.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}
}
textures/aadel_tohunga/decal_del_decal42
{
	qer_editorimage textures/aadel_tohunga/del_decal42.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal42.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}
textures/aadel_tohunga/decal_del_decal47
{
	qer_editorimage textures/aadel_tohunga/del_decal47.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal47.tga
		blendfunc GL_DST_COLOR GL_ZERO
	}
}
textures/aadel_tohunga/decal_del_decal49
{
	qer_editorimage textures/aadel_tohunga/del_decal49.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal49.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_decal57
{
	qer_editorimage textures/aadel_tohunga/del_decal57.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal57.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_decal58
{
	qer_editorimage textures/aadel_tohunga/del_decal58.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal58.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_decal62
{
	qer_editorimage textures/aadel_tohunga/del_decal62.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal62.tga
		blendfunc gl_dst_color gl_src_color
		//rgbgen const ( 0.667 0.07 0.07 )
	}
}
textures/aadel_tohunga/decal_del_decal69
{
	qer_editorimage textures/aadel_tohunga/del_decal69.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal69.tga
		blendfunc gl_dst_color gl_src_color
		//rgbgen const ( 0.6 0.05 0.05 )
	}
}
textures/aadel_tohunga/decal_del_decal71
{
	qer_editorimage textures/aadel_tohunga/del_decal71.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal71.tga
		blendfunc gl_dst_color gl_src_color
		//rgbgen const ( 0.7 0.09 0.09 )
	}
}
textures/aadel_tohunga/decal_del_decal72
{
	qer_editorimage textures/aadel_tohunga/del_decal72.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal72.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_decal73
{
	qer_editorimage textures/aadel_tohunga/del_decal73.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal73.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_decal74
{
	qer_editorimage textures/aadel_tohunga/del_decal74.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_decal74.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/decal_del_wallscribble01
{
	qer_editorimage textures/aadel_tohunga/del_wallscribble01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/aadel_tohunga/del_wallscribble01.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Misc
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/powerwire01
{
	qer_editorimage textures/aadel_tohunga/powerwire01.tga  
	surfaceparm noimpact  
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aadel_tohunga/powerwire01.tga
		blendFunc filter
	}
}
textures/aadel_tohunga/chainlink
{
	qer_editorimage textures/aadel_tohunga/chainlink.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_tohunga/chainlink.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex
	}
}

textures/aadel_tohunga/iron_support-x
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	nopicmip
	qer_alphaFunc gequal 0.5
	{
		map textures/aadel_tohunga/iron_support-x.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_tohunga/ladder-y
{
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
        surfaceparm ladder
	surfaceparm trans
	nopicmip
	qer_alphaFunc qequal 0.5
	{
		map textures/aadel_tohunga/ladder-y.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}
textures/aadel_tohunga/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/aadel_tohunga/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcmod scale 2 2
	}
    	{
		map textures/aadel_tohunga/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcmod scale 2 2
	}
}
textures/aadel_tohunga/ladderclip
{
        qer_trans 0.40
	qer_editor_image textures/aadel_tohunga/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
textures/aadel_tohunga/clip_nokick
{

	qer_editorimage textures/aadel_tohunga/clip_nokick.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
textures/aadel_tohunga/fuck_yea
{
	nopicmip
	nomipmaps
        {
                map textures/aadel_tohunga/fuck_yea.tga
		rgbgen vertex
        }	
}
//this side faces the brighter side
textures/aadel_tohunga/blue-white
{
	qer_editorimage textures/aadel_tohunga/blue-white.tga
	nopicmip
	q3map_cloneshader textures/aadel_tohunga/blue-white_back
	{
		map textures/aadel_tohunga/blue-white.tga
		rgbgen vertex
	}
}
textures/aadel_tohunga/blue-white_back
{
	qer_editorimage textures/aadel_tohunga/blue-white.tga
	nopicmip
	q3map_invert
	{
		map textures/aadel_tohunga/blue-white.tga
		rgbgen vertex
	}
}

//credz NulL
textures/aadel_tohunga/gold_shader
{
	qer_editorimage textures/aadel_tohunga/gold_base.tga
	{
		map textures/aadel_tohunga/gold_base.tga
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map textures/aadel_tohunga/gold_fx.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen const ( 0.5 0.5 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}
textures/aadel_tohunga/glass-yel
{
	qer_editorimage textures/aadel_tohunga/glass02.tga
	qer_trans 0.7
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	{
		map textures/aadel_tohunga/glass02.tga
		alphagen const 0.7
		blendfunc blend
		rgbGen vertex
	}
}
textures/aadel_tohunga/tarp01
{
	qer_editorimage textures/aadel_tohunga/tarp01.tga   
	qer_trans 0.7

	surfaceparm lightfilter		// Colored alpha shadows in lightmap.
	//surfaceparm alphashadow	//gives no color on alpha shadows >.>
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none		
	{
		map textures/aadel_tohunga/tarp01.tga
		blendfunc blend
		alphagen const 0.875
		//rgbgen vertex
		rgbgen exactVertex
	}
}
textures/aadel_tohunga/del_wall
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/aadel_tohunga/del_wall.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_tohunga/del_wall.tga
		blendFunc filter
	}
}
textures/aadel_tohunga/tegelvit01
{
	q3map_nonplanar
	q3map_shadeangle 40 //90
	qer_editorimage textures/aadel_tohunga/tegelvit01.tga 
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/aadel_tohunga/tegelvit01.tga
		blendFunc filter
	}
}
textures/aadel_tohunga/fill_sky_bright
{
    qer_trans 0.50
    qer_editorimage textures/aadel_tohunga/fill_sky.tga
    q3map_lightsubdivide 32
    //q3map_lightmapFilterRadius 0 8
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm trans
    skyparms - - -
    
    q3map_backSplash -1 -1
    q3map_lightRGB 1 0.788 0.347
    q3map_surfacelight 200
}

textures/aadel_tohunga/fs_tiles_floor01
{
	qer_editorimage textures/aadel_tohunga/fs_tiles_floor01.tga
	surfaceparm nomarks
	{
		map textures/aadel_tohunga/fs_tiles_floor01.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/aadel_tohunga/fs_tiles_floor02
{
	qer_editorimage textures/aadel_tohunga/fs_tiles_floor02.tga
	surfaceparm nomarks
	{
		map textures/aadel_tohunga/fs_tiles_floor02.tga
	}
	
	{
		map $lightmap
		blendfunc filter
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	Windows
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
textures/aadel_tohunga/sn_window1
{
	{	
		map textures/aadel_tohunga/sn_window1.tga
	}
	{
		map textures/aadel_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/sn_window2
{
	{	
		map textures/aadel_tohunga/sn_window2.tga
	}
	{
		map textures/aadel_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/sn_window8
{
	{	
		map textures/aadel_tohunga/sn_window8.tga
	}
	{
		map textures/aadel_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window8.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/sn_window11a
{
	{	
		map textures/aadel_tohunga/sn_window11a.tga
	}
	{
		map textures/aadel_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/sn_window11a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/aadel_tohunga/parpaingwind01cadrb_d
{
	q3map_lightmapBrightness 1.4
	{	
		map textures/aadel_tohunga/parpaingwind01cadrb_d.tga
	}
	{
		map textures/aadel_tohunga/envmap01a.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/aadel_tohunga/parpaingwind01cadrb_d.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
//	13v315h07 H4x
//~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~ ~
levelshots/ut4_tohunga_bomb2
{
	//DONT J00 WISH YOUR MAP HAD THUS LEET HAXZOR SH!T??? LOl...
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_tohunga_bomb2.tga
        }
	//{
        //	map levelshots/ut4_tohunga_b9_2.tga
	//	blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//	alphaGen	wave sin 0 1 1 0.04
	//}	
	
}
//FUSH N CHUPS